#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    char specchar[]="!@#$%^&*+=|";
    QClipboard *clipboard = QApplication::clipboard();
    int n=16;
    QString pass;
    pass.clear();
    char schar;
    if (ui->checkBox->isChecked()==1)
         n=this->ui->spinBox->value()*3;
    else
     n=this->ui->spinBox->value()*4-1;
    time= QTime::currentTime();
    qsrand(time.msec()+time.second()*1000);
    if (n<0)
        this->ui->textEdit->setText(tr("位数大于0"));
    else
    {
        for (int i=0;i<n;i++)
        {
            int s=qrand()%3;
            int ss=qrand()%26;
            int ss2=qrand()%10;
            if  (ui->checkBox_4->isChecked()==1)
            {
                s=qrand()%2;
            }
            if  (ui->checkBox_5->isChecked()==1)
            {
                s=qrand()%4;
            }
            if (((i+1)%4==0) && (ui->checkBox->isChecked()==0))
                pass=pass.append('-');
            else
            {
            if (s==0)  pass=pass.append('a'+ss);
            if (s==1)  pass=pass.append('A'+ss);
            if (s==2)  pass=pass.append('0'+ss2);
            if (s==3)  pass=pass.append(specchar[ss2]);
            }
        }
    }
    if (this->ui->checkBox_3->isChecked()==1)
    {
        pass=pass.toUpper();
    }
    if (this->ui->checkBox_2->isChecked()==1)
    {
        pass=pass.toLower();
    }

    this->ui->textEdit->setText(pass);
    clipboard->setText(pass);
}





void MainWindow::on_checkBox_2_clicked()
{
    if (this->ui->checkBox_3->isChecked()==1)
     {
        this->ui->checkBox_3->setChecked(0);
    }
}

void MainWindow::on_checkBox_3_clicked()
{
    if (this->ui->checkBox_2->isChecked()==1)
     {
        this->ui->checkBox_2->setChecked(0);
    }
}

void MainWindow::on_checkBox_4_clicked()
{
    if (this->ui->checkBox_5->isChecked()==1)
     {
        this->ui->checkBox_5->setChecked(0);
    }
}

void MainWindow::on_checkBox_5_clicked()
{
    if (this->ui->checkBox_4->isChecked()==1)
     {
        this->ui->checkBox_4->setChecked(0);
    }
}
